Loading...
Searching...
No Matches
pstech.pstsdk.errors.EStatusMessage Class Reference

Tracker status messages enum class. More...

Inheritance diagram for pstech.pstsdk.errors.EStatusMessage:
[legend]
Collaboration diagram for pstech.pstsdk.errors.EStatusMessage:
[legend]

## Static Public Attributes
int | OK = 0
| The system is running OK.
int | NOT_INITIALIZED = 1
| Tracker failed to initialize correctly.
int | DISCONNECTED = 2
| The grabber has been disconnected.
int | GENERAL_ERROR = 3
| Unspecified grabber error.
int | TIMEOUT_ERROR = 4
| Grabber timeout error.
int | NOCAMS_FOUND = 5
| Grabber could not detect any cameras.
int | NOTENOUGHCAMS_FOUND = 6
| Grabber could not detect sufficient cameras.
int | INIT_ERROR = 7
| Grabber did not initialize correctly.
int | CANNOT_START_CAMS = 8
| Grabber could not start cameras.
int | CANNOT_SETUP_CAMS = 9
| Grabber failed setting up cameras.
int | NULL_TRACKER_HANDLE_ERROR = 10
| Tracker not created or freed.
int | UNKNOWN_STATUS = 11
| Unknown status message.

## Detailed Description

Tracker status messages enum class.

This enum class lists all status messages that can be reported by the tracker.

See also
  tracker.Tracker.system_check

## Member Data Documentation

## ◆ CANNOT_SETUP_CAMS

int pstech.pstsdk.errors.EStatusMessage.CANNOT_SETUP_CAMS = 9
| static

Grabber failed setting up cameras.

## ◆ CANNOT_START_CAMS

int pstech.pstsdk.errors.EStatusMessage.CANNOT_START_CAMS = 8
| static

Grabber could not start cameras.

## ◆ DISCONNECTED

int pstech.pstsdk.errors.EStatusMessage.DISCONNECTED = 2
| static

The grabber has been disconnected.

## ◆ GENERAL_ERROR

int pstech.pstsdk.errors.EStatusMessage.GENERAL_ERROR = 3
| static

Unspecified grabber error.

## ◆ INIT_ERROR

int pstech.pstsdk.errors.EStatusMessage.INIT_ERROR = 7
| static

Grabber did not initialize correctly.

## ◆ NOCAMS_FOUND

int pstech.pstsdk.errors.EStatusMessage.NOCAMS_FOUND = 5
| static

Grabber could not detect any cameras.

## ◆ NOT_INITIALIZED

int pstech.pstsdk.errors.EStatusMessage.NOT_INITIALIZED = 1
| static

Tracker failed to initialize correctly.

## ◆ NOTENOUGHCAMS_FOUND

int pstech.pstsdk.errors.EStatusMessage.NOTENOUGHCAMS_FOUND = 6
| static

Grabber could not detect sufficient cameras.

## ◆ NULL_TRACKER_HANDLE_ERROR

int pstech.pstsdk.errors.EStatusMessage.NULL_TRACKER_HANDLE_ERROR = 10
| static

Tracker not created or freed.

## ◆ OK

int pstech.pstsdk.errors.EStatusMessage.OK = 0
| static

The system is running OK.

## ◆ TIMEOUT_ERROR

int pstech.pstsdk.errors.EStatusMessage.TIMEOUT_ERROR = 4
| static

Grabber timeout error.

## ◆ UNKNOWN_STATUS

int pstech.pstsdk.errors.EStatusMessage.UNKNOWN_STATUS = 11
| static

Unknown status message.

The documentation for this class was generated from the following file:

- pstech/pstsdk/errors.py